<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Confirmer l'inscription d'un email a un evenement (inscription deja en base)
 *
 * @param string $arg
 */
function action_confirmer_agenda_inscrit_dist($arg = null) {


	if ($arg = _request('arg')) {

		list($id_evenement, $alea, $email) = explode("-", $arg);

		// prendre des infos sur l'événements
		if (!$row = sql_fetsel('titre, inscription, places', 'spip_evenements', 'id_evenement='.intval($id_evenement))) {
			// evenement n'existe  pas
			include_spip('inc/minipres');
			echo minipres();
			exit;
		}
		$titre = $row['titre'];

		// verifier que l'alea existe
		if (!$row = sql_fetsel('nom', 'spip_evenements_inscrits', 'id_evenement='.intval($id_evenement). ' AND alea = '.sql_quote($alea))) {
			// alea inconnu
			include_spip('inc/minipres');
			echo minipres(_T('agenda_inscription:action_inscription_alea_invalide', array('titre' => $titre, 'email' => $email)));
			exit;
		}


		// si les places sont comptees, regarder s'il en reste
		if ($places = $row['places']) {
			$nb_ok = sql_countsel('spip_evenements_inscrits', 'id_evenement='.intval($id_evenement)." AND statut='publie'");
			if ($nb_ok >= $places) {
				// evenement complet
				include_spip('inc/minipres');
				echo minipres(_T('agenda_inscription:action_inscription_complet', array('titre' => $titre, 'email' => $email)));
				exit;
			}
		}

		// on est arrivée jusque là .... on peut confirmer l'inscription !
		sql_updateq('spip_evenements_inscrits', array('statut' => 'publie', 'alea' => ''), 'id_evenement ='.intval($id_evenement).' AND alea=' . sql_quote($alea));

		include_spip('inc/minipres');
		echo minipres(_T('agenda_inscription:action_inscription_confirmee', array('titre' => $titre, 'email' => $email)));
		exit;

	} else {
		// pas argument  : erreur
		include_spip('inc/minipres');
		echo minipres();
		exit;
	}

}
